---
doc_type: hypothesis-highlights
url: https://www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/
---

# 5 reasons why you need Business Intelligence (BI) in challenging times

- layer:: notes
- author:: [dufrain.co.uk]()
- group:: Bang
- category:: article

## Highlights

updated: [2023-02-25T14:26:37](https://hyp.is/vS3kzLTdEe2dbY-9MMlnEA/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
tags:: #read

updated: [2023-02-25T13:34:09](https://hyp.is/aUayULTWEe2U_mulQPl5SA/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: At a time when business leaders need to make rapid and often difficult decisions, having confidence in the data which underpins these judgements is of paramount importance

updated: [2023-02-25T13:36:33](https://hyp.is/vtnP1rTWEe2LB3N2A5d2Xg/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: when we talk to our clients, we describe Business Intelligence (BI) in terms of enabling them to properly understand their customer base, develop a thorough understanding of their cost base and inefficiencies in processes, and spot opportunities

updated: [2023-02-25T13:36:43](https://hyp.is/xKZ5FLTWEe2LXkuvp5GJkQ/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: 5 main areas in which BI provides benefits:

updated: [2023-02-25T13:41:53](https://hyp.is/fYJ32rTXEe2EQsuYyUvbqg/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: 1. Business Strategy  
annotation:: # a

updated: [2023-02-25T13:42:39](https://hyp.is/mQBnkrTXEe2MZfd9sPMddg/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: BI tools transform opaque data into crystal clear data that can be viewed from a variety of angles and differing perspectives, ensuring the decision reached is backed up by fact rather than a gut feeling or hunch.

updated: [2023-02-25T13:42:53](https://hyp.is/oU5cJLTXEe2KjC-i-clI1A/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: Organisations that invested in a robust IT and data infrastructure are reaping the benefits, with most employees now working remotely

updated: [2023-02-25T13:43:00](https://hyp.is/pYo5KrTXEe2VA7OKBhAZeg/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: 2. Operational Control  
annotation:: # a

updated: [2023-02-25T13:57:41](https://hyp.is/stmGJLTZEe2ET2tUCfEPaQ/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: Some industries are experiencing an increased spike in operational activity

updated: [2023-02-25T13:57:51](https://hyp.is/uKaYWLTZEe2iw_cP0zj-3g/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: BI has a huge part to play in successfully managing this volume by enabling B&FS organisations to understand demand, resourcing and case throughput as well as warning which cases will not be processed in time, especially for vulnerable customers

updated: [2023-02-25T13:58:17](https://hyp.is/x-PjXLTZEe2uZBu6VUi27w/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: 3. Financial Control  
annotation:: # a

updated: [2023-02-25T14:01:07](https://hyp.is/LXvE5rTaEe2LFFfGJWkKVg/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: Often during tough times, organisations will cut costs down to the bone without foresight or understanding where the true fat is. Effort should be focused on protecting growth and profitability through modelling and scenario planning.

updated: [2023-02-25T14:01:26](https://hyp.is/OOGb7rTaEe2ixSPL4_XIFg/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: Data Warehouses and BI tools will often be the main input source and calculation engine for these models. We’ve seen the most value created when inputs to the model can be flexed and the outputs are displayed in near real time via an easy to interpret dashboard

updated: [2023-02-25T14:01:33](https://hyp.is/PNLyPrTaEe2EVFNzqisYxQ/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: previous data from economic impacts that can be incorporated into these models can increase the accuracy of predicted outcomes

updated: [2023-02-25T14:01:54](https://hyp.is/SZqKaLTaEe2uZ4ehJrDgUg/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: 4. Managing Customers  
annotation:: # a

updated: [2023-02-25T14:02:31](https://hyp.is/Xz2YBrTaEe2zecfM1Y8gHQ/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: BI can help businesses to understand customers using two lenses:

updated: [2023-02-25T14:02:51](https://hyp.is/a3DzNLTaEe2zeh_XUiXcgg/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: Commercial– Which are most and least profitable? Whose buying trajectory is increasing and whose is diminishing? How is the product mix changing and how does this impact profits and losses?

updated: [2023-02-25T14:07:52](https://hyp.is/HolcBLTbEe276BcmFYYlMg/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: Commercial– Which are most and least profitable? Whose buying trajectory is increasing and whose is diminishing? How is the product mix changing and how does this impact profits and losses?

updated: [2023-02-25T14:20:44](https://hyp.is/6u-foLTcEe2IylMSt73qeQ/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: Service– “Cost to serve” modelling as well as analytics on meeting the typical servicing timelines of customers from enquiry to order to fulfilment. BI will be the precursor to using predictive analytics to better understand your customer base

updated: [2023-02-25T14:20:53](https://hyp.is/8DSd5LTcEe2sWlspgykZtQ/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: start considering use cases such as customer churn, lifetime value, optimising customer experience, next best product, price optimisation and early assessment of vulnerable customers.

updated: [2023-02-25T14:20:58](https://hyp.is/8xIbuLTcEe22qYuG43Q6RA/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: 5. Workforce  
annotation:: # a

updated: [2023-02-25T14:21:55](https://hyp.is/FXLa7rTdEe2ZLgM49IrvlQ/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: the working environment has been reframed with most of the workforce now working remotely.

updated: [2023-02-25T14:26:24](https://hyp.is/tZMGrLTdEe2gixNr43rwkA/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: BI helps HR professionals and business leaders to understand what’s happening with their people and forward plan to ensure business success is maintained. Absence management, furlough arrangements and understanding employees’ location are all use cases which BI can support

updated: [2023-02-25T14:26:30](https://hyp.is/uPlqtrTdEe2zhM_iFIFUWQ/www.dufrain.co.uk/blog/5-reasons-why-you-need-business-intelligence-bi-in-difficult-times/)  
highlight:: People working from home also need the necessary tools to enable them to do their jobs remotely. BI provides support in terms of making sure all employees have all the information they require to fulfil their role.
